OpenVDB: LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOffIterator Class Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOffIterator Class Reference

Visits all inactive values in a leaf node. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOffIterator:

## Public Member Functions
__hostdev__ | ValueOffIterator ()
__hostdev__ | ValueOffIterator (const LeafNode *parent)
ValueOffIterator & | operator= (const ValueOffIterator &)=default
__hostdev__ ValueType | operator* () const
__hostdev__ CoordT | getCoord () const

## Detailed Description

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>
class nanovdb::LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOffIterator

Visits all inactive values in a leaf node.

## Constructor & Destructor Documentation

## ◆ ValueOffIterator() [1/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueOffIterator | ( |  | ) |
| inline

## ◆ ValueOffIterator() [2/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueOffIterator | ( | const LeafNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ CoordT getCoord | ( |  | ) | const
| inline

## ◆ operator*()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueType operator* | ( |  | ) | const
| inline

## ◆ operator=()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOffIterator & operator= | ( | const ValueOffIterator & |  | ) |
| default